Creates an upload destination for the resource given

Returns a pre-signed URL and upload destination ID for uploading a document for the given resource (e.g. feeds, reports). Do not log the pre-signed URL — it contains temporary credentials.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

resourceenumRequired

The resource type for the upload destination (e.g. feeds)

Allowed values:

Headers

contentMD5stringRequired
MD5 hash of the content to be uploaded, encoded as base64

Query parameters

contentTypeenumRequired
MIME type of the content to be uploaded
Allowed values:
marketplaceIdslist of enumsRequired
Allowed values:

Response

Upload destination created
uploadDestinationIdstringOptional
The upload destination ID to pass when creating a feed or report
urlstringOptionalformat: "uri"

Pre-signed URL for a PUT upload (valid 15 minutes) — do not log

headersmap from strings to stringsOptional
HTTP headers to include with the upload PUT request

Errors

400
Bad Request Error
403
Forbidden Error
429
Too Many Requests Error
500
Internal Server Error